<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Free WordPress Themes Directory by Themely</title>
  <meta name="description" content="">
  <meta name="keywords" content="wordpress, free, themes, directory">
  <meta name="author" content="Themely">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/custom.css">
</head>
<body>
<div class="containter-fluid">
  <div class="themely p-3">
    <div class="row">
      <div class="col-sm-12 col-md-12 col-lg-12">
        <h4><span class="badge bg-primary">Free</span> WordPress Themes <span class="float-end fs-6"><a href="https://plugin.themely.com/?ref=embed" target="_blank">Powered by Themely</a></span></h4>
      </div>
    </div>
    <div class="row">
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-9 col-xl-9">
        <p class="text-justify mb-3"><strong>Beautiful</strong>, <strong>secure</strong> and <strong>easy-to-use</strong> WordPress themes from the most talented creators around the world. All themes are licensed GNU GPL and completely free for personal or commercial use. Find, preview & <strong>select the perfect theme for your new site</strong>.</p>
      </div>
      <div class="col-xs-12 col-sm-12 col-md-12 col-lg-3 col-xl-3 position-relative">
        <input type="text" name="search_param" id="search_param" class="form-control search-input themely-loading-animation mb-3" placeholder="Search themes...">
        <div class="clearfix">
          <div id="spinner" class="spinner-border float-end" role="status">
            <span class="visually-hidden">Loading...</span>
          </div>
        </div>
      </div>
    </div>
    <div id="results" class="row search-results">
    <?php
      $array = json_decode(trim(file_get_contents("https://d108fh6x7uy5wn.cloudfront.net/themes.json")), true);
      $limit = "50"; // CUSTOMIZE - Limit the number of themes displayed
      foreach (array_slice($array['themes'], 0, $limit) as $theme) {
          echo '<div class="col-xs-12 col-sm-6 col-md-6 col-lg-4 col-xl-3">
          <div class="card">
          <a href="' . htmlspecialchars( $theme['preview_url'] ) . '?ref=themely" target="_blank"><img src="' . htmlspecialchars( $theme['screenshot_url'] ) . '" title="' . gettext("Preview") . ' ' . htmlspecialchars( $theme['name'] ) . '" class="w-100 rounded-top"></a>
            <div class="caption">
              <div class="row">
                <div class="col-xs-5 col-md-5 no-padding-right">
                  <span class="name"><strong>' . htmlspecialchars( $theme['name'] ) . '</strong></span>
                  <span class="author small"><span class="text-muted"><em>' . gettext("by") . '</em></span> ' . htmlspecialchars( $theme['author'] ) . '</span>
                </div>
                <div class="col-xs-7 col-md-7 text-end no-padding-left">
                  <a href="' . htmlspecialchars( $theme['preview_url'] ) . '?ref=themely" target="_blank" class="btn btn-sm mt-1 btn-outline-primary" role="button" title="' . gettext("Preview theme") . '">' . gettext("Preview") . '</a>
                </div>
              </div>
            </div>
          </div>
        </div>';
      };
    ?>
    </div>
  </div>
</div>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.bundle.min.js"></script>
<script src="js/custom.js"></script>
</body>
</html>