/* Search Themes */
jQuery(document).ready(function() {
    function debounce(callback, wait) {
        let timeout;
        return (...args) => {
            clearTimeout(timeout);
            timeout = setTimeout(function () { callback.apply(this, args) }, wait);
        };
    }
    document.querySelector('#search_param').addEventListener('keyup', debounce( () => {
        var search_param = jQuery("#search_param").val();
        jQuery.ajax({
            url: 'search.php',
            type: "POST",
            data: {search_param: search_param},
            beforeSend: function () {
                jQuery("#spinner").show();
            },
            success: function (data) {
                jQuery("#results").html(data);
                jQuery("#spinner").hide();
            },
            error: function (error) {
                alert("Error!");
            }
        });
    }, 800))
});